#ifndef INCLUDE__LLVMFunction_hxx
#define INCLUDE__LLVMFunction_hxx

#include "disassembler/Function.hxx"

class LLVMFunction : public Function {
public:
	LLVMFunction(const std::string& name, uint64_t start_address)
		:Function(name)
		, start_address(start_address) {
	}

	uint64_t getStartAddress() const {return start_address;}
private:
	uint64_t start_address;
};

#endif



